org.eclipse.e4.ui.model.application.ui.menu

## Interface MHandledToolItem

All Superinterfaces:
  MApplicationElement, MHandledItem, MItem, MLocalizable, MToolBarElement, MToolItem, MUIElement, MUILabel

    public interface MHandledToolItem
    extends MToolItem, MHandledItem

A representation of the model object 'Handled Tool Item'.

This is the concrete UI Model element representing a tool item that is managed through the Commands / Handlers infrastructure.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.menu.MToolItem

`getMenu, setMenu`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.menu.MHandledItem

`getCommand, getParameters, getWbCommand, setCommand, setWbCommand`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.menu.MItem

`getType, isEnabled, isSelected, setEnabled, setSelected, setType`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`